[fxruby-users] FXRuby help needed

Lyle Johnson lyle.johnson at gmail.com
Mon May 14 16:28:49 EDT 2007

On 5/14/07, kloftaj at muohio.edu <kloftaj at muohio.edu> wrote:

> I did look at the user guide based on the .gem installation package
> (http://www.fxruby.org/doc/gems.html), but could not get gem to work from
> the terminal window.  So I simply extracted the source files from the .tgz
> file found within the .gem.  I then proceeded to follow the Unix/Linux
> install guide that you mentioned in your reply.  The config worked fin but
> when I tried to do the "ruby install.rb install" command from the terminal
> it gave me some errors (I'll have those tomorrow because I already left
> work).
> I am running mostly on Red Hat Linux Enterprise 4, along with Ruby 1.8.6.
> However, I also have the option of running under WindowsXP if I so desire
> (could possibly be easier to install?)

Reading between the lines, it sounds like you're somewhat
uncomfortable working with the command line in Linux, so yes, I think
you're probably better off running it under Windows. There's a
one-click installer for Ruby, which you can download here:


and it includes FXRuby as part of its installation. So that should
work out of the box.

> I mentioned Eclipse because I am using Eclipse as my IDE and therefore
> installed ruby through it using the Find/Install Updates option.

OK. I don't know anything about how Eclipse's Ruby integration works,
so I can't really help you there.

More information about the fxruby-users mailing list